%global srcname pybeam

Summary:	Python module to parse Erlang BEAM files
Name:		python-%{srcname}
Version:	0.7
Release:	7%{?dist}
License:	MIT
URL:		https://github.com/matwey/%{srcname}
Source0:	%{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:	noarch

%description
Python module to parse Erlang BEAM files.


%package -n python3-%{srcname}
Summary:	%{summary}
BuildRequires:	python3-setuptools python3-devel python3-sphinx
BuildRequires:	python3-construct >= 2.9
Requires:	python3-construct >= 2.9
Requires:	python3-six >= 1.4.0

%description -n python3-%{srcname}
Python module to parse Erlang BEAM files.


%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%check
%{__python3} setup.py test


%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/*


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 06 2023 rockerzhu <rockerzhu@tencent.com> - 0.7-1
- Initial build
